Bug 1956382 - Sync upstream 1.6.2 downstream
Summary: Sync upstream 1.6.2 downstream
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Operator SDK
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.8.0
Assignee: Ish Shah
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On: 1957725 1958078
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 15:01 UTC by Jesus M. Rodriguez
Modified: 2021-05-07 17:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-07 17:49:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ocp-release-operator-sdk pull 112 0 None open Bug 1956382: Merge upstream tag v1.6.2 2021-05-06 18:36:51 UTC

Description Jesus M. Rodriguez 2021-05-03 15:01:31 UTC
Bring in the upstream 1.6.2 release downstream.

The 1.6.x release notes can be found here:

1.6.2: https://github.com/operator-framework/operator-sdk/releases/tag/v1.6.2
1.6.1: https://github.com/operator-framework/operator-sdk/releases/tag/v1.6.1
1.6.0: https://github.com/operator-framework/operator-sdk/releases/tag/v1.6.0

Comment 4 Cuiping HUO 2021-05-07 06:55:57 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1958078 
[downstream]java-operator-plugins doesn't work while bringing upstream 1.6.2 downstream 
This story https://issues.redhat.com/browse/OSDK-1620 is not work in https://github.com/openshift/ocp-release-operator-sdk/pull/112

Comment 5 Jesus M. Rodriguez 2021-05-07 17:49:10 UTC
(In reply to Cuiping HUO from comment #4)
> https://bugzilla.redhat.com/show_bug.cgi?id=1958078 
> [downstream]java-operator-plugins doesn't work while bringing upstream 1.6.2
> downstream 
> This story https://issues.redhat.com/browse/OSDK-1620 is not work in
> https://github.com/openshift/ocp-release-operator-sdk/pull/112

That is correct. That story is in a v1.7.x release which will likely come down at a later date. 

So I'm going to mark this bug as MODIFIED as the merge did happen. The v1.6.2 will NOT contain the java plugin nor the pkgman-to-bundle command.


Note You need to log in before you can comment on or make changes to this bug.